package com.zhentao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.pojo.TProduct;
import com.zhentao.service.TProductService;
import com.zhentao.mapper.TProductMapper;
import org.springframework.stereotype.Service;

/**
* @author 芸
* @description 针对表【t_product(商品表)】的数据库操作Service实现
* @createDate 2025-05-15 16:08:06
*/
@Service
public class TProductServiceImpl extends ServiceImpl<TProductMapper, TProduct>
    implements TProductService{

    @Override
    public TProduct getProductById(Long goodsId) {
        TProduct product = new TProduct();
        product.setId(goodsId);
        product.setName("商品纵静芸");
        product.setPrice(new java.math.BigDecimal("9999.00"));
        product.setStock(100);
        product.setStatus(1);
        return product;
    }
}




